Bug 1275697 - [RHEL-OSP] Log file shows: database schema is not up to date
[RHEL-OSP] Log file shows: database schema is not up to date
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.5.0
Assigned To: Gregg Tanzillo
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-27 09:54 EDT by Thom Carlin
Modified: 2015-11-11 15:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-06 16:57:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thom Carlin 2015-10-27 09:54:57 EDT
Description of problem:

Warning in log

Version-Release number of selected component (if applicable):

5.5.0.7-beta1.3.20151021133253_ed40d96

How reproducible:

tbd

Steps to Reproduce:
1. Spin up appliance
2. Enter credentials for RHEL-OSP infra
3. Examine log

Actual results:

WARN -- : MIQ(MiqServer.activate_configuration) database schema is not up to date.  Schema version is [20150701142710].  Missing migrations: [20150701191241, 20150708120923, 20150710081302, 20150710110003, 20150710110243, 20150710110244, 20150710110707, 20150710110708, 20150710120646, 20150714042229, 20150714053019, 20150714143821, 20150716021334, 20150719123908, 20150724030353, 20150726144643, 20150730135121, 20150731025210, 20150804194147, 20150806190149, 20150806190349, 20150806194147, 20150806211453, 20150807165254, 20150810015500, 20150813115025, 20150814210507, 20150815051916, 20150815052719, 20150817213409, 20150818181426, 20150818181427, 20150818184658, 20150819121823, 20150819125202, 20150819144149, 20150819154348, 20150820110215, 20150822102141, 20150823120001, 20150824120000, 20150824130000, 20150825120000, 20150827120000, 20150831123700, 20150903073337, 20150903162623, 20150904132351, 20150904181202, 20150906123643, 20150906123956, 20150906234626, 20150906234635, 20150907095639, 20150907120454, 20150907163347, 20150907234623, 20150909023532, 20150910153517, 20150911152048, 20150914202922, 20150914203523, 20150915000737, 20150915001329, 20150924195523, 20151001110220, 20151019194111]

Expected results:

No warning

Additional info:

evm.log excerpt:

[----] I, [2015-10-22T08:19:38.903823 #14129:a6598c]  INFO -- : MIQ(EvmDatabase.seed) Seeding... Complete
[----] W, [2015-10-22T08:19:39.067226 #14129:a6598c]  WARN -- : MIQ(MiqServer.activate_configuration) database schema is not up to date.  Schema version is [20150701142710].  Missing migrations: [20150701191241, 20150708120923, 20150710081302, 20150710110003, 20150710110243, 20150710110244, 20150710110707, 20150710110708, 20150710120646, 20150714042229, 20150714053019, 20150714143821, 20150716021334, 20150719123908, 20150724030353, 20150726144643, 20150730135121, 20150731025210, 20150804194147, 20150806190149, 20150806190349, 20150806194147, 20150806211453, 20150807165254, 20150810015500, 20150813115025, 20150814210507, 20150815051916, 20150815052719, 20150817213409, 20150818181426, 20150818181427, 20150818184658, 20150819121823, 20150819125202, 20150819144149, 20150819154348, 20150820110215, 20150822102141, 20150823120001, 20150824120000, 20150824130000, 20150825120000, 20150827120000, 20150831123700, 20150903073337, 20150903162623, 20150904132351, 20150904181202, 20150906123643, 20150906123956, 20150906234626, 20150906234635, 20150907095639, 20150907120454, 20150907163347, 20150907234623, 20150909023532, 20150910153517, 20150911152048, 20150914202922, 20150914203523, 20150915000737, 20150915001329, 20150924195523, 20151001110220, 20151019194111]
[----] W, [2015-10-22T08:19:39.067344 #14129:a6598c]  WARN -- : MIQ(MiqServer.activate_configuration) database should be migrated to the latest version
/var/www/miq/vmdb/app/models/configuration.rb:6:in `create_or_update': undefined method `configurations' for nil:NilClass (NoMethodError)
        from /var/www/miq/vmdb/lib/vmdb/config.rb:268:in `save'
        from /var/www/miq/vmdb/app/models/miq_server.rb:102:in `update_server_config'
        from /var/www/miq/vmdb/app/models/miq_server.rb:217:in `start'
        from /var/www/miq/vmdb/lib/workers/evm_server.rb:60:in `start'
        from /var/www/miq/vmdb/lib/workers/evm_server.rb:79:in `start'
        from /var/www/miq/vmdb/lib/workers/bin/evm_server.rb:3:in `<top (required)>'
        from /opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `load'
        from /opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/runner.rb:60:in `<top (required)>'
        from /opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require'
        from /opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:123:in `require_command!'
        from /opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:90:in `runner'
        from /opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands/commands_tasks.rb:39:in `run_command!'
        from /opt/rh/cfme-gemset/gems/railties-4.2.4/lib/rails/commands.rb:17:in `<top (required)>'
        from /var/www/miq/vmdb/bin/rails:4:in `require'
        from /var/www/miq/vmdb/bin/rails:4:in `<main>'
[----] I, [2015-10-22T08:19:44.789700 #14164:841994]  INFO -- : MIQ(Vmdb::Loggers.apply_config) Log level for vim.log has been changed to [WARN]

Note You need to log in before you can comment on or make changes to this bug.